/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.resourcebundle.valueobject;

import java.util.List;

/**
 * リソースバンドルをあらわす構造体クラス。基底名やパッケージなど基本情報が含まれます。
 */
public class BlancoResourceBundleBundleStructure {
    /**
     * フィールド [name]
     *
     * 項目の型 [java.lang.String]<br>
     * リソースバンドルの基底名。
     */
    private String fName;

    /**
     * フィールド [listLocale]
     *
     * 項目の型 [java.util.List]<br>
     * 規定値   [new java.util.ArrayList()]<br>
     * このリソースバンドルが対応するロケールの一覧。(Combine後の場合にのみ有効)
     */
    private List fListLocale = new java.util.ArrayList();

    /**
     * フィールド [package]
     *
     * 項目の型 [java.lang.String]<br>
     * パッケージ名。
     */
    private String fPackage;

    /**
     * フィールド [suffix]
     *
     * 項目の型 [java.lang.String]<br>
     * クラスに付与されるサフィックス。
     */
    private String fSuffix;

    /**
     * フィールド [description]
     *
     * 項目の型 [java.lang.String]<br>
     * このリソースバンドルに対する説明。
     */
    private String fDescription;

    /**
     * フィールド [access]
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   ["public"]<br>
     * このクラスのアクセス。基本的には public で利用します。
     */
    private String fAccess = "public";

    /**
     * フィールド [itemList]
     *
     * 項目の型 [java.util.List]<br>
     * 規定値   [new java.util.ArrayList()]<br>
     * 各キー＋値の情報。
     */
    private List fItemList = new java.util.ArrayList();

    /**
     * フィールド [resourceItem]
     *
     * 項目の型 [blanco.resourcebundle.valueobject.BlancoResourceBundleBundleItemStructure]<br>
     * ワークに利用されるフィールド。
     */
    private BlancoResourceBundleBundleItemStructure fResourceItem;

    /**
     * フィールド [currentLocale]
     *
     * 項目の型 [java.lang.String]<br>
     * 現在処理しているロケールを記憶します。
     */
    private String fCurrentLocale;

    /**
     * フィールド [currentResourceString]
     *
     * 項目の型 [java.lang.String]<br>
     * 現在処理しているリソース文字列を記憶します。
     */
    private String fCurrentResourceString;

    /**
     * フィールド [name]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * リソースバンドルの基底名。
     *
     * @param argName フィールド[name]に格納したい値
     */
    public void setName(final String argName) {
        fName = argName;
    }

    /**
     * フィールド[name]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * リソースバンドルの基底名。
     *
     * @return フィールド[name]に格納されている値
     */
    public String getName() {
        return fName;
    }

    /**
     * フィールド [listLocale]のセッターメソッド
     *
     * 項目の型 [java.util.List]<br>
     * このリソースバンドルが対応するロケールの一覧。(Combine後の場合にのみ有効)
     *
     * @param argListLocale フィールド[listLocale]に格納したい値
     */
    public void setListLocale(final List argListLocale) {
        fListLocale = argListLocale;
    }

    /**
     * フィールド[listLocale]のゲッターメソッド
     *
     * 項目の型 [java.util.List]<br>
     * 規定値   [new java.util.ArrayList()]<br>
     * このリソースバンドルが対応するロケールの一覧。(Combine後の場合にのみ有効)
     *
     * @return フィールド[listLocale]に格納されている値
     */
    public List getListLocale() {
        return fListLocale;
    }

    /**
     * フィールド [package]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * パッケージ名。
     *
     * @param argPackage フィールド[package]に格納したい値
     */
    public void setPackage(final String argPackage) {
        fPackage = argPackage;
    }

    /**
     * フィールド[package]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * パッケージ名。
     *
     * @return フィールド[package]に格納されている値
     */
    public String getPackage() {
        return fPackage;
    }

    /**
     * フィールド [suffix]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * クラスに付与されるサフィックス。
     *
     * @param argSuffix フィールド[suffix]に格納したい値
     */
    public void setSuffix(final String argSuffix) {
        fSuffix = argSuffix;
    }

    /**
     * フィールド[suffix]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * クラスに付与されるサフィックス。
     *
     * @return フィールド[suffix]に格納されている値
     */
    public String getSuffix() {
        return fSuffix;
    }

    /**
     * フィールド [description]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * このリソースバンドルに対する説明。
     *
     * @param argDescription フィールド[description]に格納したい値
     */
    public void setDescription(final String argDescription) {
        fDescription = argDescription;
    }

    /**
     * フィールド[description]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * このリソースバンドルに対する説明。
     *
     * @return フィールド[description]に格納されている値
     */
    public String getDescription() {
        return fDescription;
    }

    /**
     * フィールド [access]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * このクラスのアクセス。基本的には public で利用します。
     *
     * @param argAccess フィールド[access]に格納したい値
     */
    public void setAccess(final String argAccess) {
        fAccess = argAccess;
    }

    /**
     * フィールド[access]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   ["public"]<br>
     * このクラスのアクセス。基本的には public で利用します。
     *
     * @return フィールド[access]に格納されている値
     */
    public String getAccess() {
        return fAccess;
    }

    /**
     * フィールド [itemList]のセッターメソッド
     *
     * 項目の型 [java.util.List]<br>
     * 各キー＋値の情報。
     *
     * @param argItemList フィールド[itemList]に格納したい値
     */
    public void setItemList(final List argItemList) {
        fItemList = argItemList;
    }

    /**
     * フィールド[itemList]のゲッターメソッド
     *
     * 項目の型 [java.util.List]<br>
     * 規定値   [new java.util.ArrayList()]<br>
     * 各キー＋値の情報。
     *
     * @return フィールド[itemList]に格納されている値
     */
    public List getItemList() {
        return fItemList;
    }

    /**
     * フィールド [resourceItem]のセッターメソッド
     *
     * 項目の型 [blanco.resourcebundle.valueobject.BlancoResourceBundleBundleItemStructure]<br>
     * ワークに利用されるフィールド。
     *
     * @param argResourceItem フィールド[resourceItem]に格納したい値
     */
    public void setResourceItem(final BlancoResourceBundleBundleItemStructure argResourceItem) {
        fResourceItem = argResourceItem;
    }

    /**
     * フィールド[resourceItem]のゲッターメソッド
     *
     * 項目の型 [blanco.resourcebundle.valueobject.BlancoResourceBundleBundleItemStructure]<br>
     * ワークに利用されるフィールド。
     *
     * @return フィールド[resourceItem]に格納されている値
     */
    public BlancoResourceBundleBundleItemStructure getResourceItem() {
        return fResourceItem;
    }

    /**
     * フィールド [currentLocale]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 現在処理しているロケールを記憶します。
     *
     * @param argCurrentLocale フィールド[currentLocale]に格納したい値
     */
    public void setCurrentLocale(final String argCurrentLocale) {
        fCurrentLocale = argCurrentLocale;
    }

    /**
     * フィールド[currentLocale]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 現在処理しているロケールを記憶します。
     *
     * @return フィールド[currentLocale]に格納されている値
     */
    public String getCurrentLocale() {
        return fCurrentLocale;
    }

    /**
     * フィールド [currentResourceString]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 現在処理しているリソース文字列を記憶します。
     *
     * @param argCurrentResourceString フィールド[currentResourceString]に格納したい値
     */
    public void setCurrentResourceString(final String argCurrentResourceString) {
        fCurrentResourceString = argCurrentResourceString;
    }

    /**
     * フィールド[currentResourceString]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 現在処理しているリソース文字列を記憶します。
     *
     * @return フィールド[currentResourceString]に格納されている値
     */
    public String getCurrentResourceString() {
        return fCurrentResourceString;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.resourcebundle.valueobject.BlancoResourceBundleBundleStructure[");
        buf.append("name=" + fName);
        buf.append(",listLocale=" + fListLocale);
        buf.append(",package=" + fPackage);
        buf.append(",suffix=" + fSuffix);
        buf.append(",description=" + fDescription);
        buf.append(",access=" + fAccess);
        buf.append(",itemList=" + fItemList);
        buf.append(",resourceItem=" + fResourceItem);
        buf.append(",currentLocale=" + fCurrentLocale);
        buf.append(",currentResourceString=" + fCurrentResourceString);
        buf.append("]");
        return buf.toString();
    }
}
